create_plugin< Handler, ProductChained, true > Struct Template Reference

`#include <mia/core/factory.hh>`

Inheritance diagram for create_plugin< Handler, ProductChained, true >:
[legend]
Collaboration diagram for create_plugin< Handler, ProductChained, true >:
[legend]

## Public Types

typedef Handler::Product | Product

## Static Public Member Functions

static Product * | apply (const Handler &h, const CComplexOptionParser &param_list, const std::string &params)

## Detailed Description

template<typename Handler, typename ProductChained>
struct create_plugin< Handler, ProductChained, true >

Definition at line 310 of file factory.hh.

## Member Typedef Documentation

## Product

template<typename Handler, typename ProductChained>

typedef Handler::Product create_plugin< Handler, ProductChained, true >::Product

Definition at line 311 of file factory.hh.

## Member Function Documentation

## apply()

template<typename Handler, typename ProductChained>

Product * create_plugin< Handler, ProductChained, true >::apply | ( | const Handler & | h,
|  | const CComplexOptionParser & | param_list,
|  | const std::string & | params )

inline static

Definition at line 313 of file factory.hh.

References create_plugin< Handler, Chained, chainable >::apply(), CComplexOptionParser::begin(), create_exception(), cvdebug(), cverb, cvmsg(), CComplexOptionParser::end(), plugin_help, and CComplexOptionParser::size().

The documentation for this struct was generated from the following file:

- factory.hh